<html>
    <head>
        <title>pyRayTrace - Acceptance Report</title>
    </head>

    <body>
        <table>
            <tr>
              <th>Model</th>
              <th>Result</th>
              <th>Explanation</th>
            </tr>
            <tr>
              <td><img src="model/ambient_light_with_sphere.png" /></td>
              <td><img src="report/ambient_light_with_sphere.png" /></td>
              <td><p>Single white sphere with no shading.</p>
                  <p>Good for testing ray-sphere intersection and ambient
                     lighting.</p></td>
            </tr>
            <tr>
              <td><img src="model/ambient_and_diffuse_light_with_sphere.png" /></td>
              <td><img src="report/ambient_and_diffuse_light_with_sphere.png" /></td>
              <td><p>Single white sphere with diffuse shading.</p>
                  <p>Good for testing basic diffuse lighting.</p></td>
            </tr>
            <tr>
              <td><img src="model/ambient_and_diffuse_light_with_two_spheres.png" /></td>
              <td><img src="report/ambient_and_diffuse_light_with_two_spheres.png" /></td>
              <td><p>Two spheres, placed on top of each other, slightly overlapping.</p>
                  <p>One sphere is green, while other one is red. Both are shaded with
                     diffuse shading.</p>
                  <p>Good for testing ray-sphere intersection and checking that objects
                     in behind of others don't show through.</p></td>
            </tr>
            <tr>
              <td><img src="model/multiple_lights_and_spheres.png" /></td>
              <td><img src="report/multiple_lights_and_spheres.png" /></td>
              <td><p>Two spheres, placed on top of each other, slightly overlapping.
                     Third sphere is placed to their side and a bit behind.</p>
                  <p>One sphere is green, while other one is red. The third one is blue.</p>
                  <p>Pay attention to the area where light falls from both light sources
                     and immediate surroundings of it.</p>
                  <p>Good for testing multiple light-sources.</p></td>
            </tr>
            <tr>
              <td><img src="model/plane_and_spheres.png" /></td>
              <td><img src="report/plane_and_spheres.png" /></td>
              <td><p>Three spheres forming a triangle, resting on a plane. All objects
                     shaded with diffuse shading.</p>
                  <p>Good for testing shadows.</p></td>
            </tr>
            <tr>
              <td><img src="model/planes.png" /></td>
              <td><img src="report/planes.png" /></td>
              <td><p>Three intersecting planes, shaded with diffuse.</p>
                  <p>Good for testing basic plane-ray intersection and object sorting during
                     shadow calculations.</p></td>
            </tr>
            <tr>
              <td><img src="model/simple_triangle.png" /></td>
              <td><img src="report/simple_triangle.png" /></td>
              <td><p>Simple red triangle, shaded with diffuse.</p>
                  <p>Good for testing basic triangle-ray intersection
                     and diffuse shading.</p></td>
            </tr>
        </table>
    </body>

</html>
